using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ConfectioneryDataModels.Models;
using System.ComponentModel;
using ConfectioneryDataModels.Enums;
using ConfectioneryContracts.Attributes;

namespace ConfectioneryContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [Column(title: "Номер", width: 100)]
        public int Id { get; set; }

        [Column(visible: false)]
        public int PastryId { get; set; }

        [Column(title: "Выпечка", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string PastryName { get; set; } = string.Empty;

        [Column(visible: false)]
        public int ClientId { get; set; }

        [Column(title: "ФИО клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ClientFIO { get; set; } = string.Empty;

        [Column(visible: false)]
        public string ClientEmail { get; set; } = string.Empty;

        [Column(visible: false)]
        public int? ImplementerId { get; set; }

        [Column(title: "ФИО исполнителя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ImplementerFIO { get; set; } = string.Empty;

        [Column(title: "Количество", width: 100)]
        public int Count { get; set; }

        [Column(title: "Сумма", width: 120)]
        public double Sum { get; set; }

        [Column(title: "Статус", width: 100)]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [Column(title: "Дата создания", width: 120)]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [Column(title: "Дата выполнения", width: 120)]
        public DateTime? DateImplement { get; set; }
    }
}
